Bug 1698182 - [RFE] Remove foreman docker
Summary: [RFE] Remove foreman docker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management - Runtime
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Daniel Lobato Garcia
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks: 1716613
TreeView+ depends on / blocked
 
Reported: 2019-04-09 18:26 UTC by Bryan Kearney
Modified: 2019-11-20 13:53 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-foreman_docker-5.0.0, rubygem-foreman_maintain-0.4.3
Doc Type: Deprecated Functionality
Doc Text:
In Red Hat Satellite 6.6, the foreman_docker plug-in has been removed, therefore it is no longer possible to provision containers.
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:28 UTC

Comment 4 Lukáš Hellebrandt 2019-06-03 09:45:21 UTC
Why is this still NEW and not set to 6.6?

Comment 12 Lukáš Hellebrandt 2019-07-30 14:38:02 UTC
Verified with Sat 6.6 snap 13.

Couldn't find any bogus API endpoints, hammer correctly states the related commands are not supported (they are still present in hammer for technical reasons, consulted with devels and it's expected), WebUI doesn't have Containers menu item and it's not possible to add a CR of type Docker.

Note that I haven't tested upgrades.

There is some suboptimal behavior in Hammer which I don't consider a blocker and will report in another BZ.

Comment 14 errata-xmlrpc 2019-10-22 12:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.